<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-eth-info.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('mcm-eth-info_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-eth-info.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&quot;</code><br />
</div>
<p><a href="mcm-eth-info_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a74e24dc0f430e98a6e46bfbf3dd7b0f9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-eth-info_8h.html#a74e24dc0f430e98a6e46bfbf3dd7b0f9">mcm_ethernet_get_all_properties</a> (char *interfaceName, int *arr_len, <a class="el" href="structmcm__property__info.html">mcm_property_info</a> **info_arr)</td></tr>
<tr class="memdesc:a74e24dc0f430e98a6e46bfbf3dd7b0f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get all ethernet properties.  <a href="mcm-eth-info_8h.html#a74e24dc0f430e98a6e46bfbf3dd7b0f9">More...</a><br /></td></tr>
<tr class="separator:a74e24dc0f430e98a6e46bfbf3dd7b0f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00c07a0f1f9377cd930d120cab6e6be1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-eth-info_8h.html#a00c07a0f1f9377cd930d120cab6e6be1">mcm_ethernet_get_property</a> (char *interfaceName, char *<a class="el" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a>, char **<a class="el" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a>, int cached)</td></tr>
<tr class="memdesc:a00c07a0f1f9377cd930d120cab6e6be1"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get property.  <a href="mcm-eth-info_8h.html#a00c07a0f1f9377cd930d120cab6e6be1">More...</a><br /></td></tr>
<tr class="separator:a00c07a0f1f9377cd930d120cab6e6be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c1777debcfb9992ba4636fe54c032a2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-eth-info_8h.html#a9c1777debcfb9992ba4636fe54c032a2">mcm_get_ethernet_info</a> (char *interfaceName, <a class="el" href="structmcm__ethernet__info.html">mcm_ethernet_info</a> *ethernet_info)</td></tr>
<tr class="memdesc:a9c1777debcfb9992ba4636fe54c032a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get ethernet information.  <a href="mcm-eth-info_8h.html#a9c1777debcfb9992ba4636fe54c032a2">More...</a><br /></td></tr>
<tr class="separator:a9c1777debcfb9992ba4636fe54c032a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management</p>
<dl class="section author"><dt>Author</dt><dd>York LY Chang <a href="#" onclick="location.href='mai'+'lto:'+'Yor'+'kL'+'Y.C'+'ha'+'ng@'+'mo'+'xa.'+'co'+'m'; return false;">YorkL<span style="display: none;">.nosp@m.</span>Y.Ch<span style="display: none;">.nosp@m.</span>ang@m<span style="display: none;">.nosp@m.</span>oxa.<span style="display: none;">.nosp@m.</span>com</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a74e24dc0f430e98a6e46bfbf3dd7b0f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74e24dc0f430e98a6e46bfbf3dd7b0f9">&#9670;&nbsp;</a></span>mcm_ethernet_get_all_properties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_ethernet_get_all_properties </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>arr_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__property__info.html">mcm_property_info</a> **&#160;</td>
          <td class="paramname"><em>info_arr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get all ethernet properties. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">arr_len</td><td>(output) Number of properties array.</td></tr>
    <tr><td class="paramname">info_arr</td><td>(output) Properties array.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a00c07a0f1f9377cd930d120cab6e6be1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00c07a0f1f9377cd930d120cab6e6be1">&#9670;&nbsp;</a></span>mcm_ethernet_get_property()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_ethernet_get_property </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>propertyName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>propertyValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cached</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">propertyName</td><td>(input) Property name.</td></tr>
    <tr><td class="paramname">cached</td><td>(input) Using caeched property value.</td></tr>
    <tr><td class="paramname">propertyValue</td><td>(output) Property value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet property success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a9c1777debcfb9992ba4636fe54c032a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c1777debcfb9992ba4636fe54c032a2">&#9670;&nbsp;</a></span>mcm_get_ethernet_info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_get_ethernet_info </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__ethernet__info.html">mcm_ethernet_info</a> *&#160;</td>
          <td class="paramname"><em>ethernet_info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get ethernet information. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">ethernet_info</td><td>(output) A ethernet infomation structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="mcm-eth-info_8h.html">mcm-eth-info.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
